Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454854 - timed get on local queue doesn't actually timeout
Summary: timed get on local queue doesn't actually timeout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 1.0
Hardware: All
OS: Linux
urgent
high
Target Milestone: 1.0.1
: ---
Assignee: messaging-bugs
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks: 459260
TreeView+ depends on / blocked
 
Reported: 2008-07-10 08:23 UTC by Gordon Sim
Modified: 2011-08-12 16:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-06 19:08:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0640 normal SHIPPED_LIVE Red Hat Enterprise MRG bug fix and enhancement update 2008-10-06 19:08:07 UTC

Description Gordon Sim 2008-07-10 08:23:20 UTC
The underlying BlockingQueue::pop() keeps spinning on the empty check.

Comment 1 Gordon Sim 2008-07-10 08:40:11 UTC
Fix committed to qpid trunk as r675477.

Comment 2 Gordon Sim 2008-07-10 08:48:56 UTC
Target is provisionally 1.0.1, but the timed wait was intorduced since the GA
release so if that enhancement is not included in 1.0.1, this bug need not be
either.

Comment 3 Gordon Sim 2008-07-10 14:45:03 UTC
merged to qpid.0-10 branch as r675598

Comment 6 Frantisek Reznicek 2008-09-17 07:39:44 UTC
RHTS test MRG_Messaging/qpid_localqueue_timeout_bz453599 results prove that bug has been fixed. (->VERIFIED)

Comment 8 errata-xmlrpc 2008-10-06 19:08:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0640.html


Note You need to log in before you can comment on or make changes to this bug.